#ifndef CHARTFORM_H
#define CHARTFORM_H

#include <QWidget>
#include "qcustomplot.h"
#include <map>

namespace Ui {
class ChartForm;
}

class ChartForm : public QWidget
{
    Q_OBJECT
public:
    explicit ChartForm(QWidget *parent = nullptr);
    ~ChartForm();

    void PlotLine(QVector<QCPCurveData> dataSpiral, QColor _color, int _width);
    void PlotPoints(QVector<QCPCurveData> dataSpiral, QColor _color);

    void NewLine(int id, QColor _color, int _width);
    void UpdateLine(int id, double x, double y);

private:
    Ui::ChartForm *ui;

    void SetBackGround();

    std::map<int, QCPCurve *> lines;
};

#endif // CHARTFORM_H
